/*-----------------------------------------------------------------------------
[名称]	PrintDlg.h
[概要]	印刷ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-03-11	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_PRINTDLG_H_INCLUDED_)
#define AFX_PRINTDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード・不完全定義
//-----------------------------------------------------------------------------
class CPrintDefine;
#include "LogFont.h"
#include "OwnerTabPage.h"

/*-----------------------------------------------------------------------------
[名称]	印刷ダイアログクラス
[用途]	印刷設定の設定を行う。
[備考]	設定ダイアログのタブ内ページとして使用。
-----------------------------------------------------------------------------*/
class CPrintDlg : public COwnerTabPage
{
// コンストラクション
public:
	// 生成
	CPrintDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// 印刷設定インスタンスのアタッチ
	void Attach(
		CPrintDefine* pPrintDefine
	){ m_pPrintDefine = pPrintDefine; };

	// 適用
	void Confirm();

protected:

// ダイアログ データ
	//{{AFX_DATA(CPrintDlg)
	enum { IDD = IDD_PRINT };
	int		m_iTopMargin;
	int		m_iRightMargin;
	int		m_iLeftMargin;
	int		m_iHeaderHeight;
	int		m_iBottomMargin;
	int		m_iFooterHeight;
	BOOL	m_bWidthLine;
	UINT	m_uiPrintWidth;
	BOOL	m_bCareSelection;
	BOOL	m_bCareEmphasis;
	CString	m_strHeaderRight;
	CString	m_strHeaderMid;
	CString	m_strHeaderLeft;
	BOOL	m_bHeaderEnable;
	CString	m_strFooterRight;
	CString	m_strFooterMid;
	CString	m_strFooterLeft;
	BOOL	m_bFooterEnable;
	BOOL	m_bMarge;
	UINT	m_uiMargeCount;
	BOOL	m_bCareBoxChar;
	//}}AFX_DATA

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CPrintDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CPrintDefine*	m_pPrintDefine;		// 印刷設定 [-] (-)
	CEdit*			m_pLastEdit;		// ヘッダ・フッタ部の最新編集コントロール [-] (-)
	CLogFont		m_fontHeader;		// ヘッダ部フォント [-] (-)
	CLogFont		m_fontFooter;		// フッタ部フォント [-] (-)

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CPrintDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnPath();
	afx_msg void OnBtnFile();
	afx_msg void OnBtnExt();
	afx_msg void OnBtnPage();
	afx_msg void OnBtnPagecount();
	afx_msg void OnBtnYear();
	afx_msg void OnBtnMonth();
	afx_msg void OnBtnDay();
	afx_msg void OnBtnDayofweek();
	afx_msg void OnBtnHour();
	afx_msg void OnBtnMinute();
	afx_msg void OnSetfocusz();
	afx_msg void OnPrintHeaderfont();
	afx_msg void OnPrintFooterfont();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_PRINTDLG_H_INCLUDED_)
